#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	catchUpSpeed = 0.2f;
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(ofRandom(0,255), ofRandom(0,255), ofRandom(0,255));
    ofCircle(pos.x, pos.y, pct-2);
}

//------------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY, float catchUpSpeed){
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
}
